>> MIB - Management Information Base
>> Table: voipSipProviderTable - (.1.3.6.1.4.1.272.4.33.6.10.1)
Description: Describes a SIP specific provider account entry.
voipSipProviderTable
OID | Name | Type | Access
.1 | Index | INTEGER | R
.2 | Proxy | DisplayString | RW
.3 | AuthId | DisplayString | RW
.4 | Transport | ENUM | RW
.5 | Expire | INTEGER | RW
.6 | Register | ENUM | RW
.7 | Codecs | BitValue | RW
.8 | Order | ENUM | RW
.9 | DSPLength | INTEGER | RW
.10 | DSPOptions | ENUM | RW
.11 | Realm | DisplayString | RW
.12 | Timeout | INTEGER | RW
.16 | DDIMode | ENUM | RW
.17 | DDICli | ENUM | RW
.20 | DDISsn | DisplayString | RW
.22 | Dad | ENUM | RW
.23 | Options | BitValue | RW
.24 | CLIR | BITS | RW
Index
Unique table index of this entry. This value cannot be edited or changed. This value is identical to 'Index' number of parent entry in voipProviderTable.
Proxy
SIP outbound proxy. This value is set if provider uses an outbound proxy for communication. Length: 0 to 255
AuthId
Authentication ID for provider (only sometimes used). This value is set if the authentication ID differs from the setting of 'Account' in voipProviderTable. Length: 0 to 255
Transport
Transport protocol used by connection. Allowed values are: udp(1) - UDP (default) tcp(2) - TCP sips(3) - TLS auto(4) - Taken from NAPTR-record if found there, else UDP (default) Enumerations: udp (1) tcp (2) sips (3) auto (4)
Expire
Expire time for registration retransmission. Default value is 600. Range: 0 to 38400
Register
Switch between dynamic or static mode. In dynamic mode a REGISTER (SIP message) is sent before expire time is reached. In static mode no REGISTER is send. In this case communication is fixied between two endpoints without registration algorithm. This can be used in carrier environments with fixed settings. Possible values are: off(1) static mode on(2) dynamic mode Default value is on. Enumerations: off (1) on (2)
Codecs
Supported codecs of provider. Set one or more of the following bit values: ulaw (1), alaw (2), g729 (4), g726 (8), g726_16 (16), g726_32 (32), g726_40 (64), g728 (128), g723_63 (256), g723_53 (512), g729_e (1024), gsm (2048), dtmf (4096), dtmf_cc (8192), t38_udp (16384), t38_tcp (32768). Default: 'ulaw', 'alaw' and 'g.729' (7). 'g729' is g729 with 8 kBit/s, 'g729_e' is g729 with 12.4 kBit/s. 'dtmf' enables/disables (out of band) DTMF relay via RTP and SIP INFO events; depending from capabilities of a dialed endpoint it automatically chooses either RTP or SIP INFO event method. 'dtmf_cc is' obsolete. As well 't38_tcp' is unused. Range: 0 to -1
Order
Codec signalling order: 'default' -> system default order, 'quality' -> highest quality first, 'lowest' -> lowest bandwith first, 'highest' -> highest bandwith first. Default value is default. Enumerations: default (1) quality (2) lowest (3) highest (4)
DSPLength
Audio data (payload) duration per packet in milliseconds (for all codecs). Default value is 20. Range: 5 to 500
DSPOptions
DSP options: 'none' -> neither echo cancellation nor comfort noise, 'echo' -> echo cancellation, 'cng' -> comfort noise generation, 'both' -> echo and comfort noise. Default value is both. Enumerations: none (1) echo (2) cng (3) both (4)
Realm
Realm of the provider (only sometimes used). Normally the URL after the '@' of the username is used for all entries using provider's domain name. In some cases this value differs. So at authentication and other cases this domain name is used instead of the registration domain. e.g register: 12345@voip.sip.sipgate.de realm: sipgate.de By default this value is the empty string. Length: 0 to 255
Timeout
Here a specific session timeout can be set. It is similar to a keep alive polling between the Mediagateway and the registrar in order to detect a dead RTP session. The default is '0' (disabled). In RFC minimum time is 90sec. The default is 1800 seconds.
DDIMode
Set trunk DDI (direct dial in) mode for provider entry: 'off' -> Normal mode with single number account; 'client' -> The gateway is DDI client; 'server' -> The gateway is in server mode. So DDI clients can connect to the Mediagateway; 'gw-trunk' -> The Gateway is DDI client but is used as trunk. Default value is off. Enumerations: off (1) client (2) server (3) gw-trunk (4)
DDICli
The field in the SIP header which is used in order to indicate the caller's identity to connected clients. The needed method is provider dependent. Possible methods are: 'off' -> anonymous mode; 'disp' -> tranfer in DISPLAY field of the FROM header; 'user' -> tranfer in USER (account) field in the FROM header; 'disp-user' -> transfer in USER and DISPLAY field; 'ppi' -> transfer in the P-Prefered-Identity header; 'pai' -> transfer in the P-Asserted-Identity header. Default value is user. Enumerations: off (1) disp (2) user (3) disp-user (4) ppi (5) pai (6)
DDISsn
In case of 'DDIMode' = 'server' a specific subscriber (network) number can be given here. This has the same meaning as the subscriber number in ISDN PP configuration. For other 'DDIMode' configurations this parameter does not make sense. Length: 0 to 255
Dad
The field in the SIP INVITE message where the call destination's identity is transfered. The needed method is provider dependent. All informations are located in the 'TO:' header: 'auto' -> check DISPLAY field first and if empty use the USER (account) field; 'user' -> use USER (account) field only; 'display' -> use DISPLAY field only. Enumerations: auto (1) user (2) display (3)
Options
Field used for account specific features: BIT0: HAS_MCID Malicious Call Identification BIT1: HAS_CLID Display always the number (if available), ignore presentation option BIT2: HAS_FAXREDIR Redirect an incoming Fax to a specific Number BIT3: HAS_SRTP Use Secure RTP BIT4: HAS_SRTP_HALFCALL Half call based SRTP termination BIT5: HAS_SRTP_SAVP Use SAVP in SDP negotiation BIT6: HAS_PUBLIC_REGISTER Allow client registration from a public WAN address BIT7: HAS_STARTUP_FRAME Send a dummy RTP package to the provider first BIT8: HAS_SIP_REDIRECT Send SIP 302 instead of execute Call forwarding BIT9: HAS_SIP_PREMEDIA Receive RTP data immediately after an outgoing INVITE BIT10: HAS_BNC_REGISTER Register with IBM Sip Trunk Bulk option BIT11: HAS_SRC_IP_CHECK Check INVITE Source address BIT12: HAS_SIP_REQ_URI Prefer REQUEST URI instead of TO header field BIT24: HAS_TLS_CA_CHECK Check validation CA of Certificate BIT25: HAS_TLS_HOST_CHECK Check validation Host of Certificate BIT26: HAS_FETCH_BINDINGS Use fetch bindings BIT27: HAS_MEDIASEC Use mediasec, SRTP must be set too BIT28: HAS_NAT_PING Use NAT ping, external router BIT29: HAS_SINGLE_CODEC_ANSWER Answer with only one audio codec in SDP BIT30: HAS_PERIODIC_OPTIONS Use OPTIONS instead of REGISTER Range: 0 to -1
CLIR
Type of number suppression in outgoing SIP calls. This is provider dependent: display : anonymous in display of the From header field. user : anonymous in user (account) field in the From header field. domain : anonymous.invalid in domain of the From header field. privacy-header : Privacy header field with value 'header'. privacy-user : Privacy header field with value 'user'. privacy-id : Privacy header field with value 'id'. Enumerations: display (0) user (1) domain (2) privacy-header (3) privacy-user (4) privacy-id (5)

MIB Reference to Software Version 10.2.12 generated on 2023/08/29. Provided by webmaster@bintec-elmeg.com Copyright ©2023 by bintec elmeg GmbH